Package org.springframework.security.web.csrf

# Interface DeferredCsrfToken

public interface DeferredCsrfToken
An interface that allows delayed access to a `CsrfToken` that may be generated.

Since:
  5.8

## Method Summary

Modifier and Type
Method
Description
`CsrfToken`
`get()`
Gets the `CsrfToken`
`boolean`
`isGenerated()`
Returns true if `get()` refers to a generated `CsrfToken` or false if it already existed.

## Method Details

### get

CsrfToken get()
Gets the `CsrfToken`

Returns:
  a non-null `CsrfToken`

### isGenerated

boolean isGenerated()
Returns true if `get()` refers to a generated `CsrfToken` or false if it already existed.

Returns:
  true if `get()` refers to a generated `CsrfToken` or false if it already existed.